# EZ_RegisterPrimitiveWidget

##

##

##

##

    NAME
           EZ_RegisterPrimitiveWidget  -  register a primitive widget
           to EZWGL

    SYNOPSIS
           #include <EZ.h>

           int   EZ_RegisterPrimitiveWidget(char *iname, char *cname,
                               void  (*Setup)       (EZ_Widget *widget),
                         void  (*ComputeSize) (EZ_Widget *widget, int *w, int *h),
                               void  (*DrawWidget)  (EZ_Widget *widget),
                               void  (*FreeData)    (EZ_Widget *widget),
                               void  (*EventHandle) (EZ_Widget *widget, XEvent *event) )

    DESCRIPTION
           This function registers a primitive widget  to  EZWGL  and
           returns  an integer type identifier.  Once registered, the
           widget can be instantiated by calling EZ_CreateWidget with
           the corresponding type.

    SEE ALSO
           EZ_RegisterCompositeWidget(3)